Bug 1295653 - [abrt] sddm: xcb_setup_vendor_end(): sddm-greeter killed by SIGSEGV
[abrt] sddm: xcb_setup_vendor_end(): sddm-greeter killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1c353dde91f05f7025f1ca95f03...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 01:27 EST by Sudhir Khanger
Modified: 2017-02-17 11:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.90 KB, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: core_backtrace (6.20 KB, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: dso_list (15.73 KB, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: environ (478 bytes, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: maps (70.01 KB, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: mountinfo (3.20 KB, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: open_fds (961 bytes, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: proc_pid_status (998 bytes, text/plain)
2016-01-05 01:27 EST, Sudhir Khanger
no flags Details
File: var_log_messages (3.25 KB, text/plain)
2016-01-05 01:28 EST, Sudhir Khanger
no flags Details

  None (edit)
Description Sudhir Khanger 2016-01-05 01:27:26 EST
Version-Release number of selected component:
sddm-0.13.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/sddm-greeter --socket /tmp/sddm-:0-PWuMLf --theme /usr/share/sddm/themes/breeze
crash_function: xcb_setup_vendor_end
executable:     /usr/bin/sddm-greeter
global_pid:     7610
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            989

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xcb_setup_vendor_end at xproto.c:869
 #1 xcb_setup_pixmap_formats_iterator at xproto.c:892
 #2 xcb_setup_roots_iterator at xproto.c:909
 #3 NETRootInfo::NETRootInfo at ../../src/platforms/xcb/netwm.cpp:527
 #4 NETEventFilter::NETEventFilter at ../../../../src/platforms/xcb/kwindowsystem.cpp:98
 #5 MainThreadInstantiator::createNETEventFilter at ../../../../src/platforms/xcb/kwindowsystem.cpp:85
 #6 KWindowSystemPrivateX11::init at ../../../../src/platforms/xcb/kwindowsystem.cpp:448
 #7 KWindowSystemPrivateX11::compositingActive at ../../../../src/platforms/xcb/kwindowsystem.cpp:834
 #8 Plasma::ThemePrivate::ThemePrivate at ../../../src/plasma/private/theme_p.cpp:63
 #9 Plasma::Theme::Theme at ../../../src/plasma/theme.cpp:54
Comment 1 Sudhir Khanger 2016-01-05 01:27:35 EST
Created attachment 1111725 [details]
File: backtrace
Comment 2 Sudhir Khanger 2016-01-05 01:27:37 EST
Created attachment 1111726 [details]
File: cgroup
Comment 3 Sudhir Khanger 2016-01-05 01:27:39 EST
Created attachment 1111727 [details]
File: core_backtrace
Comment 4 Sudhir Khanger 2016-01-05 01:27:41 EST
Created attachment 1111728 [details]
File: dso_list
Comment 5 Sudhir Khanger 2016-01-05 01:27:43 EST
Created attachment 1111729 [details]
File: environ
Comment 6 Sudhir Khanger 2016-01-05 01:27:45 EST
Created attachment 1111730 [details]
File: exploitable
Comment 7 Sudhir Khanger 2016-01-05 01:27:47 EST
Created attachment 1111731 [details]
File: limits
Comment 8 Sudhir Khanger 2016-01-05 01:27:51 EST
Created attachment 1111732 [details]
File: maps
Comment 9 Sudhir Khanger 2016-01-05 01:27:53 EST
Created attachment 1111733 [details]
File: mountinfo
Comment 10 Sudhir Khanger 2016-01-05 01:27:55 EST
Created attachment 1111734 [details]
File: namespaces
Comment 11 Sudhir Khanger 2016-01-05 01:27:57 EST
Created attachment 1111735 [details]
File: open_fds
Comment 12 Sudhir Khanger 2016-01-05 01:27:59 EST
Created attachment 1111736 [details]
File: proc_pid_status
Comment 13 Sudhir Khanger 2016-01-05 01:28:01 EST
Created attachment 1111737 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:42:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:37:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.